Bug 175953 - editors/libreoffice-3.6.5_1 is broken
Summary: editors/libreoffice-3.6.5_1 is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-08 10:20 UTC by vsjcfm
Modified: 2013-02-10 21:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2013-02-08 10:20:00 UTC
After rev 311893, installing libreoffice fails with the following errors:

===>   Registering installation for libreoffice-3.6.5_1
pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mime' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/applications' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry etc/bash_completion.d' (package tools out of date?)
pkg_create: write_plist: unknown command type -1 (share/mimelnk/application)
*** [fake-pkg] Error code 2

Previous version (port revision 0) installs perfectly.
Comment 1 Chris Rees 2013-02-08 20:37:17 UTC
This is because @dirrmtry is used in post-install target.

It is not a real command, and there is magic in bsd.port.mk to morph
it into @unexec rmdir {} 2>/dev/null || true, but this is done before
post-install.

Please try the patch at [1], and let me know if it fixes it.

Chris

http://www.bayofrum.net/~crees/patches/libreoffice-dirrmtry.diff
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-02-08 20:39:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer(s).
Comment 3 vsityz 2013-02-08 22:27:04 UTC
If port build with java and create simlink /usr/local/lib/libjawt.so@ -> 
/usr/local/openjdk6/jre/lib/amd64/libjawt.so
libreoffice build more, but port build not complite.   Without java port 
is build.

  java -version

openjdk version "1.6.0_32"
OpenJDK Runtime Environment (build 1.6.0_32-b27)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)


=============
(41/48) Building module cli_ure
=============
Entering 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/cli_ure/inc

Entering 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/cli_ure/version

cp version.txt ../unxfbsd.pro/bin/cliureversion.mk
cli_ure deliver
Module 'cli_ure' delivered successfully. 1 files copied, 4 files unchanged

-----------------------------------------------------------------------
         Oh dear - something failed during the build - sorry !
   For more help with debugging build errors, please see the section in:
http://wiki.documentfoundation.org/Development

   internal build errors:

ERROR: error 65280 occurred while making 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/apache-commons/java/httpclient

  it seems that the error is inside 'apache-commons', please re-run build
  inside this module to isolate the error and/or test your fix:

build_error.log should contain the captured output of the failed module(s)

-----------------------------------------------------------------------
To rebuild a specific module:

gmake apache-commons.clean # optional
gmake apache-commons

when the problem is isolated and fixed, re-run 'gmake'
gmake[1]: *** [build-packimages] ÐÑибка 1
gmake[1]: Exit from dir 
`/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2'
gmake: *** [all] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/editors/libreoffice.
*** [build] Error code 1

Stop in /usr/ports/editors/libreoffice.

===>>> make failed for editors/libreoffice
===>>> Aborting update

Terminated

===>>> You can restart from the point of failure with this command line:
        portmaster <flags> editors/libreoffice
Comment 4 dfilter service freebsd_committer 2013-02-09 00:51:38 UTC
Author: jkim
Date: Sat Feb  9 00:51:31 2013
New Revision: 311956
URL: http://svnweb.freebsd.org/changeset/ports/311956

Log:
  Fix plist.
  
  PR:	ports/175953

Modified:
  head/editors/libreoffice/Makefile

Modified: head/editors/libreoffice/Makefile
==============================================================================
--- head/editors/libreoffice/Makefile	Fri Feb  8 22:21:50 2013	(r311955)
+++ head/editors/libreoffice/Makefile	Sat Feb  9 00:51:31 2013	(r311956)
@@ -481,7 +481,8 @@ post-install:
 	@${SORT} -u ${PLISTF} >> ${TMPPLIST}
 	@${GREP} '^@exec ' ${PLISTD} | ${SORT} -u >> ${TMPPLIST}
 	@${GREP} '^@dirrm ' ${PLISTD} | ${SORT} -ru >> ${TMPPLIST}
-	@${GREP} '^@dirrmtry ' ${PLISTD} | ${SORT} -ru >> ${TMPPLIST}
+	@${GREP} '^@dirrmtry ' ${PLISTD} | ${SORT} -ru | \
+	    ${SED} -e '${PLIST_REINPLACE_DIRRMTRY}' >> ${TMPPLIST}
 
 	@cd ${LODESTDIR}/${PREFIX} ; ${PAX} -rw . ${PREFIX}
 	@${MKDIR} ${PREFIX}/etc/bash_completion.d
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jung-uk Kim freebsd_committer 2013-02-09 00:52:46 UTC
State Changed
From-To: open->closed

A fix for PLIST was committed.
Comment 6 vsityz 2013-02-10 21:09:13 UTC
with patch 
http://www.bayofrum.net/~crees/patches/libreoffice-dirrmtry.diff 
<http://www.bayofrum.net/%7Ecrees/patches/libreoffice-dirrmtry.diff> not 
build

=============
(41/48) Building module cli_ure
=============
Entering 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/cli_ure/inc

Entering 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/cli_ure/version

cp version.txt ../unxfbsd.pro/bin/cliureversion.mk
cli_ure deliver
Module 'cli_ure' delivered successfully. 1 files copied, 4 files unchanged

-----------------------------------------------------------------------
         Oh dear - something failed during the build - sorry !
   For more help with debugging build errors, please see the section in:
             http://wiki.documentfoundation.org/Development

   internal build errors:

*ERROR: error 65280 occurred while making 
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/apache-commons/java/httpclient*

  it seems that the error is inside 'apache-commons', please re-run build
  inside this module to isolate the error and/or test your fix:

build_error.log should contain the captured output of the failed module(s)

-----------------------------------------------------------------------
To rebuild a specific module:

gmake apache-commons.clean # optional
gmake apache-commons

when the problem is isolated and fixed, re-run 'gmake'
gmake[1]: *** [build-packimages] ÐÑибка 1
gmake[1]: Exit 
`/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2'
gmake: *** [all] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/editors/libreoffice.
*** [build] Error code 1

Stop in /usr/ports/editors/libreoffice.

===>>> make failed for editors/libreoffice
===>>> Aborting update

Terminated

===>>> You can restart from the point of failure with this command line:
        portmaster <flags> editors/libreoffice

**************************************************************************

cat options#
This file is auto-generated by 'make config'.
# Options for libreoffice-3.6.5_1
_OPTIONS_READ=libreoffice-3.6.5_1
_FILE_COMPLETE_OPTIONS_LIST=CPPUNIT CUPS DEBUG GNOME GTK2 GTK3 JAVA KDE4 
MERGELIBS MMEDIA PGSQL SDK SVG SYSTRAY WEBDAV
OPTIONS_FILE_UNSET+=CPPUNIT
OPTIONS_FILE_SET+=CUPS
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_SET+=GNOME
OPTIONS_FILE_SET+=GTK2
OPTIONS_FILE_UNSET+=GTK3
OPTIONS_FILE_SET+=JAVA
OPTIONS_FILE_UNSET+=KDE4
OPTIONS_FILE_SET+=MERGELIBS
OPTIONS_FILE_UNSET+=MMEDIA
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=SDK
OPTIONS_FILE_SET+=SVG
OPTIONS_FILE_UNSET+=SYSTRAY
OPTIONS_FILE_UNSET+=WEBDAV


if
UNSET+=JAVA

Port build is fine.